## Update domain **put** `/accounts/{account_id}/registrar/domains/{domain_name}` Update individual domain. ### Path Parameters - `account_id: string` Identifier - `domain_name: string` Domain name. ### Body Parameters - `auto_renew: optional boolean` Auto-renew controls whether subscription is automatically renewed upon domain expiration. - `locked: optional boolean` Shows whether a registrar lock is in place for a domain. - `privacy: optional boolean` Privacy option controls redacting WHOIS information. ### Returns - `errors: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `result: unknown` - `success: true` Whether the API call was successful - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/registrar/domains/$DOMAIN_NAME \ -X PUT \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \ -d '{ "auto_renew": true, "privacy": true }' ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": {}, "success": true } ```